
%global meadversion 4.2.0
%global namedversion 4.2.0.redhat-8
%global meadalpha .redhat_8
%global meadrel .1
%global serial 14
%global namedversionrel redhat-8

%bcond_without mead

%global eap -eap6

%define maven_version 4.2.0.redhat-8

Name:           org.osgi.core%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
License:        ASL 2.0
Summary:        OSGi core
Group:          Development/Java

%if %with mead
Source100: core-cmpn-project-4.2.0.redhat-8-scm-sources.zip
Source102: org.osgi.compendium-4.2.0.redhat-8.pom
Source103: org.osgi.compendium-4.2.0.redhat-8-sources.jar
Source104: org.osgi.compendium-4.2.0.redhat-8.jar
Source105: core-cmpn-project-4.2.0.redhat-8.pom
Source106: org.osgi.core-4.2.0.redhat-8-sources.jar
Source107: org.osgi.core-4.2.0.redhat-8.pom
Source108: org.osgi.core-4.2.0.redhat-8.jar
%endif

URL:            http://www.osgi.org
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/org.osgi.core-eap6-%{namedversion}-%{release}-root

%description
OSGi core.

%package -n org.osgi.compendium%{?eap}
Summary:        OSGi compendium
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description -n org.osgi.compendium%{?eap}
OSGi compendium.

%prep
%setup -q -n org.osgi -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/org.osgi.core-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/org.osgi.core-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/org.osgi.core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/org.osgi.core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/org.osgi.compendium-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/org.osgi.compendium-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/org.osgi.compendium-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/org.osgi.compendium-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%files -n org.osgi.core%{?eap}
%defattr(0644,root,root,0755)
%doc osgi.companion/legal/*
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/org.osgi.core-%{namedversion}.jar
%{_javadir}/%{name}/org.osgi.core.jar
%{_javadir}/%{name}/org.osgi.core-%{namedversion}-sources.jar
%{_javadir}/%{name}/org.osgi.core-sources.jar

%files -n org.osgi.compendium%{?eap}
%defattr(0644,root,root,0755)
%doc osgi.companion/legal/*
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/org.osgi.compendium-%{namedversion}.jar
%{_javadir}/%{name}/org.osgi.compendium.jar
%{_javadir}/%{name}/org.osgi.compendium-%{namedversion}-sources.jar
%{_javadir}/%{name}/org.osgi.compendium-sources.jar

%changelog
* Wed Sep 17 2014 David Walluck <dwalluck@redhat.com> - 4.2.0-2.redhat_8.1
- fix build

* Tue Sep 16 2014 David Walluck <dwalluck@redhat.com> - 4.2.0-1.redhat_7.1
- add doc

* Tue Sep 16 2014 David Walluck <dwalluck@redhat.com> - 4.2.0-1.redhat_7.1
- fix version in manifest
